package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

/**
 * 对应数据库表(teacher_default_music_group_salary):
 */
public class TeacherDefaultMusicGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer userId;
	
	/** 班级类型（参照 course_schedule表的type_字段） */
	@ApiModelProperty(value = "课程类型",required = false)
	private CourseSchedule.CourseScheduleType courseScheduleType;

	/**  */
	@ApiModelProperty(value = "主教90分钟课酬",required = false)
	private BigDecimal mainTeacher90MinSalary;

	/**  */
	@ApiModelProperty(value = "助教90分钟课酬",required = false)
	private BigDecimal assistantTeacher90MinSalary;
	
	/** 主教薪酬 */
	@ApiModelProperty(value = "主教30分钟课酬",required = false)
	private BigDecimal mainTeacher30MinSalary;
	
	/** 助教薪酬 */
	@ApiModelProperty(value = "助教30分钟课酬",required = false)
	private BigDecimal assistantTeacher30MinSalary;
	
	@ApiModelProperty(value = "课酬规则",required = false)
	private String salaryRuleJson;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public CourseScheduleType getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(CourseScheduleType courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public BigDecimal getMainTeacher90MinSalary() {
		return mainTeacher90MinSalary;
	}

	public void setMainTeacher90MinSalary(BigDecimal mainTeacher90MinSalary) {
		this.mainTeacher90MinSalary = mainTeacher90MinSalary;
	}

	public BigDecimal getAssistantTeacher90MinSalary() {
		return assistantTeacher90MinSalary;
	}

	public void setAssistantTeacher90MinSalary(BigDecimal assistantTeacher90MinSalary) {
		this.assistantTeacher90MinSalary = assistantTeacher90MinSalary;
	}

	public BigDecimal getMainTeacher30MinSalary() {
		return mainTeacher30MinSalary;
	}

	public void setMainTeacher30MinSalary(BigDecimal mainTeacher30MinSalary) {
		this.mainTeacher30MinSalary = mainTeacher30MinSalary;
	}

	public BigDecimal getAssistantTeacher30MinSalary() {
		return assistantTeacher30MinSalary;
	}

	public void setAssistantTeacher30MinSalary(BigDecimal assistantTeacher30MinSalary) {
		this.assistantTeacher30MinSalary = assistantTeacher30MinSalary;
	}

	public String getSalaryRuleJson() {
		return salaryRuleJson;
	}

	public void setSalaryRuleJson(String salaryRuleJson) {
		this.salaryRuleJson = salaryRuleJson;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
